# $Revision: 1.2 $, $Date: 2002/09/14 22:18:18 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pname	Awk
Summary:	Inline::Awk Perl module
Summary(cs):	Modul Inline::Awk pro Perl
Summary(da):	Perlmodul Inline::Awk
Summary(de):	Inline::Awk Perl Modul
Summary(es):	Mdulo de Perl Inline::Awk
Summary(fr):	Module Perl Inline::Awk
Summary(it):	Modulo di Perl Inline::Awk
Summary(ja):	Inline::Awk Perl ⥸塼
Summary(ko):	Inline::Awk  
Summary(no):	Perlmodul Inline::Awk
Summary(pl):	Modu Perla Inline::Awk
Summary(pt):	Mdulo de Perl Inline::Awk
Summary(pt_BR):	Mdulo Perl Inline::Awk
Summary(ru):	  Perl Inline::Awk
Summary(sv):	Inline::Awk Perlmodul
Summary(uk):	  Perl Inline::Awk
Summary(zh_CN):	Inline::Awk Perl ģ
Name:		perl-Inline-Awk
Version:	0.03
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pname}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Inline
BuildRequires:	rpm-perlprov >= 3.0.3-16
Requires:	awk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Awk - Add awk code to your Perl programs.

%description -l pl
Modu Inline::Awk - pozwalajcy na uywanie kodu awka w programach w
Perlu.

%prep
%setup -q -n %{pdir}-%{pname}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Inline/Awk.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Inline-Awk.spec,v $
Revision 1.2  2002/09/14 22:18:18  ankry
- added tests and translations
- fixed examples atributes, release 2

Revision 1.1  2002/07/13 11:46:07  qboosh
- new
